Index: openclonk-debian/CMakeLists.txt
===================================================================
--- openclonk-debian.orig/CMakeLists.txt
+++ openclonk-debian/CMakeLists.txt
@@ -1100,9 +1100,7 @@ src/script/C4ValueArray.h
 src/script/C4ValueMap.cpp
 src/script/C4ValueMap.h
 )
-add_subdirectory(thirdparty/blake2)
-set_property(TARGET blake2 PROPERTY FOLDER "Third-party libraries")
-target_link_libraries(libc4script blake2 libmisc)
+target_link_libraries(libc4script b2 libmisc)
 
 add_library(libopenclonk
 	src/c4group/C4Extra.cpp
Index: openclonk-debian/src/script/C4ScriptLibraries.cpp
===================================================================
--- openclonk-debian.orig/src/script/C4ScriptLibraries.cpp
+++ openclonk-debian/src/script/C4ScriptLibraries.cpp
@@ -183,7 +183,7 @@ class C4ScriptLibraryCrypto : public C4S
 		const int data_length = input->GetData().getLength();
 
 		auto hash_output = std::make_unique<unsigned char[]>(raw_output_length);
-		if (blake2b(hash_output.get(), raw_output_length, data, data_length, nullptr, 0) != 0)
+		if (blake2b(hash_output.get(), data, nullptr, raw_output_length, data_length, 0) != 0)
 		{
 			throw C4AulExecError("internal error: blake2b call failed");
 		}
